skip to navigation
skip to content

Not Logged In

decorator 3.4.0

Better living through Python with decorators

Package Documentation

Latest Version: 4.0.4


If you are lazy, just perform

$ easy_install decorator

which will install just the module on your system. Notice that Python 3 requires the easy_install version of the distribute project.

If you prefer to install the full distribution from source, including the documentation, download the tarball, unpack it and run

$ python install

in the main directory, possibly as superuser.


For Python 2.5, 2.6, 2.7 run

$ python

for Python 3.X run

$ python

You will see a few innocuous errors with Python 2.5, because some inner details such as the introduction of the ArgSpec namedtuple and Thread.__repr__ changed. You may safely ignore them.

You cannot run the tests in Python 2.4, since there is a test using the with statement, but the decorator module is expected to work anyway (it has been used in production with Python 2.4 for years). My plan is to keep supporting all Python versions >= 2.4 in the core module, but I will keep the documentation and the tests updated only for the latest Python versions in both the 2.X and 3.X branches.

Finally, notice that you may run into trouble if in your system there is an older version of the decorator module; in such a case remove the old version.


There are various versions of the documentation:

There is also a translation of the documentation in Serbo-Croatian language (thanks to Anja Skrba, see


The project is hosted on GoogleCode as a Mercurial repository. You can look at the source here:
File Type Py Version Uploaded on Size
decorator-3.4.0.tar.gz (md5) Source 2012-10-18 29KB
  • Downloads (All Versions):
  • 31461 downloads in the last day
  • 222984 downloads in the last week
  • 854492 downloads in the last month